Bug 241002 - deskutils/lumina-pdf: fix build on GCC architectures
Summary: deskutils/lumina-pdf: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-02 09:11 UTC by Piotr Kubaj
Modified: 2019-10-21 10:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ken)


Attachments
patch (814 bytes, patch)
2019-10-02 09:11 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (ken)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-02 09:11:26 UTC
Created attachment 208013 [details]
patch

Add include memory to drawablepage.h:
In file included from Renderer-poppler.cpp:2:
drawablepage.h:34:8: error: 'unique_ptr' in namespace 'std' does not name a template type
   34 |   std::unique_ptr<Poppler::Page> page;
      |        ^~~~~~~~~~
drawablepage.h:7:1: note: 'std::unique_ptr' is defined in header '<memory>'; did you forget to '#include <memory>'?
    6 | #include <poppler/qt5/poppler-qt5.h>
  +++ |+#include <memory>
    7 |
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-04 00:52:48 UTC
Approved as mentor (builds on ppcports) pending maintainer action.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-05 10:46:04 UTC
^Triage: Reporter is committer (MAINTAINER != committer), assign accordingly

@Piotr Can you do this yourself for the above (^) category in future issues please
Comment 3 commit-hook freebsd_committer 2019-10-21 10:09:46 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Oct 21 10:09:16 UTC 2019
New revision: 515098
URL: https://svnweb.freebsd.org/changeset/ports/515098

Log:
  deskutils/lumina-pdf: fix build on GCC architectures

  Add include memory to drawablepage.h:
  In file included from Renderer-poppler.cpp:2:
  drawablepage.h:34:8: error: 'unique_ptr' in namespace 'std' does not name a template type
     34 |   std::unique_ptr<Poppler::Page> page;
        |        ^~~~~~~~~~
  drawablepage.h:7:1: note: 'std::unique_ptr' is defined in header '<memory>'; did you forget to '#include <memory>'?
      6 | #include <poppler/qt5/poppler-qt5.h>
    +++ |+#include <memory>
      7 |

  PR:		241002
  Approved by:	ken@ixsystems.com (maintainer timeout), linimon (mentor)

Changes:
  head/deskutils/lumina-pdf/files/
  head/deskutils/lumina-pdf/files/patch-drawablepage.h